Bug 207265 - Review Request: python-zope-interface - Zope interfaces package
Review Request: python-zope-interface - Zope interfaces package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 171543 208169
  Show dependency treegraph
 
Reported: 2006-09-20 06:03 EDT by Paul Howarth
Modified: 2008-02-18 13:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-02 07:53:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-09-20 06:03:08 EDT
Spec URL: http://www.city-fan.org/~paul/extras/python-zope-interface/python-zope-interface.spec
SRPM URL: http://www.city-fan.org/~paul/extras/python-zope-interface/python-zope-interface-3.0.1-5.src.rpm
Description: 

This is a separate distribution of the zope.interface package used in Zope 3.

It is a dependency of the Twisted 2.x stack (see Bug #171543).
Comment 1 Daniel Benamy 2006-10-18 17:14:17 EDT
It looks like it's missing a build dep on gcc.
Comment 2 Paul Howarth 2006-10-19 03:03:17 EDT
Buildreqs of gcc don't need to be included; see:

http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions
Comment 3 Jeffrey C. Ollie 2006-10-29 08:47:00 EST
* source files match upstream (can't compare MD5 since this package
  currently uses a CVS snapshot).
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
? can't check it in mock right now because my mock isn't behaving
  properly right now
* package installs properly
* rpmlint comes up empty
! %check is not present; There are some unit tests in
  zope.interface.tests
* no shared libraries, .so file is a Python C module
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers
* unversioned .so file is a Python C module, no -devel package necessary
* no pkgconfig files.
* no libtool .la droppings.

APPROVED, once the %check is added
Comment 4 Jeffrey C. Ollie 2006-10-30 15:42:40 EST
I've gotten mock fixed so I'm able to confirm that it builds in FC6/i386
Comment 5 Paul Howarth 2006-10-31 12:04:01 EST
Spec URL:
http://www.city-fan.org/~paul/extras/python-zope-interface/python-zope-interface.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/python-zope-interface/python-zope-interface-3.0.1-6.src.rpm

Release 6 adds %check section; hope I got that right.

I have tested that this version builds OK in mock for FC4..rawhide (i386 and
x86_64), though I'm only intending to request builds back to FC5.
Comment 6 Jeffrey C. Ollie 2006-10-31 12:27:17 EST
Looks good, go ahead and import!
Comment 7 Paul Howarth 2006-11-02 07:53:52 EST
Imported and built successfully for FC-5, FC-6, and development.
owners.list updated.

Thanks for the review.
Comment 8 Lubomir Kundrak 2008-02-17 11:19:41 EST
Paul: I'm interested in EL-5 branch. Would you maintain it yourself or you
won't mind if I maintained it?
Comment 9 Paul Howarth 2008-02-17 13:26:21 EST
Package Change Request
======================
Package Name: python-zope-interface
New Branches: EL-4 EL-5
Comment 10 Paul Howarth 2008-02-17 13:27:54 EST
Lubomir: I'm OK to maintain this myself but I'll happily add you as
co-maintainer for both Fedora and EPEL if you want.
Comment 11 Kevin Fenzi 2008-02-18 12:18:55 EST
cvs done.
Comment 12 Paul Howarth 2008-02-18 13:19:33 EST
Branched and built for EPEL4 and EPEL5:

38372 (python-zope-interface): Build on target fedora-4-epel succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-4-epel/38372-python-zope-interface-3.0.1-10.el4/

38371 (python-zope-interface): Build on target fedora-5-epel succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-5-epel/38371-python-zope-interface-3.0.1-10.el5/

Note You need to log in before you can comment on or make changes to this bug.